ATOMICOR(3G)

NAME
atomicOr - perform an atomic logical OR operation to a variable

DECLARATION

int atomicOr(inout int mem, int data);

uint atomicOr(inout uint mem, uint data);

PARAMETERS

mem
    The variable to use as the target of the operation.

data
    The data to be logically ORed with to mem.

DESCRIPTION

atomicOr performs an atomic logical OR with data to the contents of mem and returns the original contents of mem from before the logical operation occured. The contents of the memory being updated by the atomic operation are guaranteed not to be modified by any other assignment or atomic memory function in any shader invocation between the time the original value is read and the time the new value is written.

Atomic memory functions are supported only for a limited set of variables. A shader will fail to compile if the value passed to the mem argument of an atomic memory function does not correspond to a buffer or shared variable. It is acceptable to pass an element of an array or a single component of a vector to the mem argument of an atomic memory function, as long as the underlying array or vector is a buffer or shared variable.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atomicOr | - | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔

SEE ALSO

atomicAdd(), atomicAnd(), atomicXor(), atomicMin(), atomicMax(), atomicExchange(), atomicCompSwap()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2012-2014 Khronos Group